/**
 * @file ProgressBarThread.java
 *
 * @brief control progressBar.
 * 
 * @author Yanghui
 * 
 * @history 
 * ================================================================
 * Date               Name                    Description of Change
 * 08-Auguest-2008       Yanghui              this class is used to control
 * 										      progress bar.
 */
package com.connor.bhdz.pdm.drawingToCapp;

/**
 * @class ProgressBarThread
 * @brief Create progress bar thread
 * @author Yanghui
 */
public class ProgressBarThread extends Thread {

	private ProgressBar bar;

	private String title;

	public ProgressBarThread(String title,String showLable) {
		this.title = title;
		bar = new ProgressBar(showLable);
	}

	public void run() {
		bar.setTitle(title);
		bar.initUI();
	}

	public void setBool(boolean bool) {
		bar.setBool(true);
		bar.setAlwaysOnTop(false);
	}
}
